Batches

Get Batch Details

Retrieves the details of a Batch.

Endpoint

GET /api/v1.2/batches/<uuid>/

Response

  • 404 - Batch could not be found.

  • 200 - Batch details returned successfully.

Batch Details JSON format

{
    "uuid": "<uuid>",
    "brand_uuid": "<uuid>",
    "name": "Batch Name",
    "regulatory_id": "",
    "updated_on": "2025-11-24T05:11:10.710679-08:00",
    "produced_on": "2025-11-22T16:00:00-08:00",
    "digital_coa_uuids": [
        "<uuid>"
    ],
    "testing_laboratories": [
        {
            "uuid": "<uuid>",
            "name": "Testing Lab IL",
            "street_address_1": "525-535 West Jefferson Street",
            "street_address_2": "",
            "city": "Springfield",
            "state": "IL",
            "postal_code": "62761"
        }
    ]
}

Response Fields

Field

Type

Description

uuid

uuid

Unique identifier for the batch

brand_uuid

uuid

UUID of the associated brand

name

string

Batch name

regulatory_id

string

Regulatory tracking identifier

updated_on

datetime

When the batch was last updated

produced_on

datetime

When the batch was produced

digital_coa_uuids

array

UUIDs of associated Digital COAs

testing_laboratories

array

Labs that tested this batch